Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.simpleapi
Interface IHighlightRule

    public interface IHighlightRule

Represents the design of an HighLightRule in the scripting environment

Method Summary
`java.lang.String` | `getBackGroundColor()` Returns backgroudcolor
`java.lang.String` | `getColor()` Returns color
`java.lang.String` | `getDateTimeFormat()` Return date time format.
`java.lang.String` | `getFontStyle()` Returns font style
`java.lang.String` | `getFontWeight()` Returns font weight.
`java.lang.String` | `getOperator()` Returns Operator
`java.lang.String` | `getStringFormat()` Returns string format
`IStructure` | `getStructure()` Returns structure.
`java.lang.String` | `getTestExpression()` Returns Test Expression
`java.lang.String` | `getValue1()` Returns value1
`java.lang.String` | `getValue2()` Returns value2
`void` | `setBackGroundColor(java.lang.String color)` Sets backgroudcolor
`void` | `setColor(java.lang.String color)` Sets color
`void` | `setDateTimeFormat(java.lang.String format)` Sets date time format
`void` | `setFontStyle(java.lang.String style)` Sets font style
`void` | `setFontWeight(java.lang.String weight)` Sets font weight.
`void` | `setOperator(java.lang.String operator)` Sets Operator
`void` | `setStringFormat(java.lang.String format)` Sets string format
`void` | `setTestExpression(java.lang.String expression)` Sets Test Expression
`void` | `setValue1(java.lang.String value1)` Sets Value1
`void` | `setValue2(java.lang.String value2)` Sets Value2

Method Detail

### getTestExpression

    java.lang.String getTestExpression()

  Returns Test Expression

  Returns:
    Test Expression

### setTestExpression

    void setTestExpression(java.lang.String expression)
                           throws SemanticException

  Sets Test Expression

  Parameters:
    `expression` -
  Throws:
    `SemanticException`

### getFontStyle

    java.lang.String getFontStyle()

  Returns font style

  Returns:
    font style

### setFontStyle

    void setFontStyle(java.lang.String style)
                      throws SemanticException

  Sets font style

  Parameters:
    `style` -
  Throws:
    `SemanticException`

### getFontWeight

    java.lang.String getFontWeight()

  Returns font weight.

  Returns:
    font weight.

### setFontWeight

    void setFontWeight(java.lang.String weight)
                       throws SemanticException

  Sets font weight.

  Parameters:
    `weight` -
  Throws:
    `SemanticException`

### getDateTimeFormat

    java.lang.String getDateTimeFormat()

  Return date time format.

  Returns:
    date time format.

### setDateTimeFormat

    void setDateTimeFormat(java.lang.String format)
                           throws SemanticException

  Sets date time format

  Parameters:
    `format` -
  Throws:
    `SemanticException`

### getStringFormat

    java.lang.String getStringFormat()

  Returns string format

  Returns:
    string format

### setStringFormat

    void setStringFormat(java.lang.String format)
                         throws SemanticException

  Sets string format

  Parameters:
    `format` -
  Throws:
    `SemanticException`

### getColor

    java.lang.String getColor()

  Returns color

  Returns:
    color

### getValue1

    java.lang.String getValue1()

  Returns value1

  Returns:
    value1

### getValue2

    java.lang.String getValue2()

  Returns value2

  Returns:
    value2

### getOperator

    java.lang.String getOperator()

  Returns Operator

  Returns:
    operator

### getBackGroundColor

    java.lang.String getBackGroundColor()

  Returns backgroudcolor

  Returns:
    backgroudcolor

### setColor

    void setColor(java.lang.String color)
                  throws SemanticException

  Sets color

  Parameters:
    `color` -
  Throws:
    `SemanticException`

### setValue1

    void setValue1(java.lang.String value1)
                   throws SemanticException

  Sets Value1

  Parameters:
    `value1` -
  Throws:
    `SemanticException`

### setValue2

    void setValue2(java.lang.String value2)
                   throws SemanticException

  Sets Value2

  Parameters:
    `value2` -
  Throws:
    `SemanticException`

### setOperator

    void setOperator(java.lang.String operator)
                     throws SemanticException

  Sets Operator

  Parameters:
    `operator` -
  Throws:
    `SemanticException`

### setBackGroundColor

    void setBackGroundColor(java.lang.String color)
                            throws SemanticException

  Sets backgroudcolor

  Parameters:
    `color` -
  Throws:
    `SemanticException`

### getStructure

    IStructure getStructure()

  Returns structure.

  Returns:
    structure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.